pipeable.hpp File Reference

## Classes

struct | ranges::make_pipeable_fn
struct | ranges::pipeable_access
struct | ranges::pipeable_access::impl< Pipeable >
struct | ranges::pipeable_base

## Typedefs

template<typename T >
using | ranges::is_pipeable = meta::bool_< is_pipeable_v< T > >
template<typename >
using | ranges::pipeable = pipeable_base

## Variables

template<typename T >
constexpr bool | ranges::is_pipeable_v = std::is_base_of< pipeable_base, T >::value
template<typename T >
constexpr bool | ranges::is_pipeable_v< T &&>
template<typename T >
constexpr bool | ranges::is_pipeable_v< T &>
constexpr make_pipeable_fn | ranges::make_pipeable {}